# CEGUI::HeaderSequenceEventArgs Class Reference

EventArgs class used for segment move (sequence changed) events. More...

Inheritance diagram for CEGUI::HeaderSequenceEventArgs:

[legend]
Collaboration diagram for CEGUI::HeaderSequenceEventArgs:

[legend]
List of all members.

## Public Member Functions

| HeaderSequenceEventArgs (Window *wnd, uint old_idx, uint new_idx)

## Public Attributes

uint | d_oldIdx
| The original column index of the segment that has moved.
uint | d_newIdx
| The new column index of the segment that has moved.

## Detailed Description

EventArgs class used for segment move (sequence changed) events.